Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 17657
Status: resolved
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: cpan [...] fireartist.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.55
Fixed in: (no value)



Subject: Module-Install fails to install prereq's
Download (untitled) / with headers
text/plain 9.8k
Note: the actual Module-Install version I'm using is 0.56, but the list in RT only goes to 0.55 (?) I used CPAN.pm to install a module, which had Module-Install somewhere down the line of prereq's I didn't already have Module-Install installed. The Module-Install installation tried using it's own inc::Module::Install to install it's prereq's Archive-Tar and ExtUtils-ParseXS Archive-Tar listed IO-Zlib as a prereq (which wasn't installed) When it tried to install it, inc::Module::Install died with this output: IO::Zlib Running make test Delayed until after prerequisites Running make install Delayed until after prerequisites Use of uninitialized value in string eq at inc/Module/AutoInstall.pm - lib/Module/AutoInstall.pm line 659. *** Archive::Tar installation failed. The same thing happened when it tried to install ExtUtils-ParseXS's prereq ExtUtils-CBuilder So, when it tried installing Module-Install again, I selected the [n] option so it wouldn't bother trying to install these modules. When all was done, I quit CPAN.pm, fired it up again, and installed Archive-Tar and ExtUtils-ParseXS with no problems. I'm assuming the error is related to the "uninitialized value in string eq" warnings seen in the output, but I don't know Module-Install's codebase at all, and haven't verified this. I'm using perl 5.8.8 / gcc 3.4.5 / Windows XP SP2 The relevant output from the CPAN.pm session is pasted below. Module-Install-0.56/ Module-Install-0.56/lib/ Module-Install-0.56/lib/Module/ Module-Install-0.56/lib/Module/Install/ Module-Install-0.56/lib/Module/Install/Admin/ Module-Install-0.56/lib/Module/Install/Admin/Bundle.pm Module-Install-0.56/lib/Module/Install/Admin/ScanDeps.pm Module-Install-0.56/lib/Module/Install/Admin/Find.pm Module-Install-0.56/lib/Module/Install/Admin/WriteAll.pm Module-Install-0.56/lib/Module/Install/Admin/Include.pm Module-Install-0.56/lib/Module/Install/Admin/Makefile.pm Module-Install-0.56/lib/Module/Install/Admin/Manifest.pm Module-Install-0.56/lib/Module/Install/Admin/Metadata.pm Module-Install-0.56/lib/Module/Install/Makefile/ Module-Install-0.56/lib/Module/Install/Makefile/Version.pm Module-Install-0.56/lib/Module/Install/Makefile/Name.pm Module-Install-0.56/lib/Module/Install/Build.pm Module-Install-0.56/lib/Module/Install/AutoInstall.pm Module-Install-0.56/lib/Module/Install/Run.pm Module-Install-0.56/lib/Module/Install/Can.pm Module-Install-0.56/lib/Module/Install/Admin.pm Module-Install-0.56/lib/Module/Install/PAR.pm Module-Install-0.56/lib/Module/Install/Fetch.pm Module-Install-0.56/lib/Module/Install/Metadata.pm Module-Install-0.56/lib/Module/Install/Makefile.pm Module-Install-0.56/lib/Module/Install/Bundle.pm Module-Install-0.56/lib/Module/Install/Compiler.pm Module-Install-0.56/lib/Module/Install/WriteAll.pm Module-Install-0.56/lib/Module/Install/Include.pm Module-Install-0.56/lib/Module/Install/Scripts.pm Module-Install-0.56/lib/Module/Install/External.pm Module-Install-0.56/lib/Module/Install/Win32.pm Module-Install-0.56/lib/Module/Install/Share.pm Module-Install-0.56/lib/Module/Install/Base.pm Module-Install-0.56/lib/Module/Install/MakeMaker.pm Module-Install-0.56/lib/Module/Install/Inline.pm Module-Install-0.56/lib/Module/Install.pm Module-Install-0.56/lib/Module/AutoInstall.pm Module-Install-0.56/lib/Module/Install-Philosophy.pod Module-Install-0.56/lib/Module/Install.pod Module-Install-0.56/lib/inc/ Module-Install-0.56/lib/inc/Module/ Module-Install-0.56/lib/inc/Module/Install.pm Module-Install-0.56/inc/ Module-Install-0.56/inc/Module/ Module-Install-0.56/inc/Module/Install.pm Module-Install-0.56/inc/Module/Install/ Module-Install-0.56/inc/Module/Install/AutoInstall.pm Module-Install-0.56/inc/Module/Install/Makefile.pm Module-Install-0.56/inc/Module/Install/Include.pm Module-Install-0.56/inc/Module/Install/Metadata.pm Module-Install-0.56/inc/Module/Install/WriteAll.pm Module-Install-0.56/inc/Module/Install/Win32.pm Module-Install-0.56/inc/Module/Install/Fetch.pm Module-Install-0.56/inc/Module/Install/Base.pm Module-Install-0.56/inc/Module/Install/Can.pm Module-Install-0.56/inc/Module/AutoInstall.pm Module-Install-0.56/Changes Module-Install-0.56/MANIFEST Module-Install-0.56/META.yml Module-Install-0.56/t/ Module-Install-0.56/t/1-basic.t Module-Install-0.56/t/3-autoinstall.t Module-Install-0.56/t/2-pod.t Module-Install-0.56/MANIFEST.SKIP Module-Install-0.56/README Module-Install-0.56/Makefile.PL Removing previously used C:\WINDOWS\TEMP\cpan\build\Module-Install-0.56 CPAN.pm: Going to build A/AD/ADAMK/Module-Install-0.56.tar.gz *** Module::AutoInstall version 1.01 *** Checking for dependencies... [Include packages with full dependencies] - Test::Harness ...loaded. (2.56 >= 2.03) - Test::More ...loaded. (0.62) - Module::ScanDeps ...loaded. (0.54 >= 0.28) - Module::CoreList ...loaded. (2.04) [Bundle other CPAN packages] - CPANPLUS ...missing. (would need 0.04) ==> Auto-install the 1 optional module(s) from CPAN? [y] n [PAR-based binary distributions] - PAR::Dist ...missing. (would need 0.03) ==> Auto-install the 1 optional module(s) from CPAN? [y] n [Module::Build support] - Archive::Tar ...missing. (would need 0.23) - ExtUtils::Install ...loaded. (1.33 >= 0.3) - ExtUtils::ParseXS ...missing. - Module::Build ...loaded. (0.2611) ==> Auto-install the 2 optional module(s) from CPAN? [y] Use of uninitialized value in transliteration (tr///) at C:/vanilla-perl/perl/li b/File/Spec/Win32.pm line 103. Use of uninitialized value in pattern match (m//) at C:/vanilla-perl/perl/lib/Fi le/Spec/Win32.pm line 105. *** Since we're running under CPAN, I'll just let it take care of the dependency's installation later. *** Module::AutoInstall configuration finished. *** Installing dependencies... *** Installing Archive::Tar... CPAN: Storable loaded ok Going to read C:\WINDOWS\TEMP\cpan\Metadata Database was generated on Tue, 14 Feb 2006 15:16:53 GMT Running install for module Archive::Tar Running make for K/KA/KANE/Archive-Tar-1.28.tar.gz CPAN: Digest::MD5 loaded ok CPAN: Compress::Zlib loaded ok Checksum for C:\WINDOWS\TEMP\cpan\sources\authors\id\K\KA\KANE\Archive-Tar-1.28. tar.gz ok Scanning cache C:\WINDOWS\TEMP\cpan\build for sizes Archive-Tar-1.28/ Archive-Tar-1.28/bin/ Archive-Tar-1.28/bin/ptar Archive-Tar-1.28/bin/ptardiff Archive-Tar-1.28/CHANGES Archive-Tar-1.28/lib/ Archive-Tar-1.28/lib/Archive/ Archive-Tar-1.28/lib/Archive/Tar/ Archive-Tar-1.28/lib/Archive/Tar/Constant.pm Archive-Tar-1.28/lib/Archive/Tar/File.pm Archive-Tar-1.28/lib/Archive/Tar.pm Archive-Tar-1.28/Makefile.PL Archive-Tar-1.28/MANIFEST Archive-Tar-1.28/META.yml Archive-Tar-1.28/README Archive-Tar-1.28/t/ Archive-Tar-1.28/t/01_use.t Archive-Tar-1.28/t/02_methods.t Archive-Tar-1.28/t/03_file.t Archive-Tar-1.28/t/04_resolved_issues.t Archive-Tar-1.28/t/99_pod.t Archive-Tar-1.28/t/src/ Archive-Tar-1.28/t/src/long/ Archive-Tar-1.28/t/src/long/b Archive-Tar-1.28/t/src/long/bar.tar Archive-Tar-1.28/t/src/long/foo.tgz Archive-Tar-1.28/t/src/short/ Archive-Tar-1.28/t/src/short/b Archive-Tar-1.28/t/src/short/bar.tar Archive-Tar-1.28/t/src/short/foo.tgz gzip: stdout: Broken pipe Removing previously used C:\WINDOWS\TEMP\cpan\build\Archive-Tar-1.28 CPAN.pm: Going to build K/KA/KANE/Archive-Tar-1.28.tar.gz You do not have IO::Zlib installed. This means you can not read or write compres sed archive! Note: you can disable this warning (and the prerequisite) by invoking Makefile.P L with '-n' Archive::Tar comes with a utility called 'ptardiff' which lets you run diffs aga inst tar archives. However, this utility requires you to have Text::Diff installed. To add Text::Diff as a prerequisite, please supply the '-d' option when invoking this Makefile.PL. Checking if your kit is complete... Looks good Warning: prerequisite IO::Zlib 1.01 not found. Writing Makefile for Archive::Tar ---- Unsatisfied dependencies detected during [K/KA/KANE/Archive-Tar-1.28.tar.gz ] ----- IO::Zlib Running make test Delayed until after prerequisites Running make install Delayed until after prerequisites Use of uninitialized value in string eq at inc/Module/AutoInstall.pm - lib/Modul e/AutoInstall.pm line 659. *** Archive::Tar installation failed. *** Installing ExtUtils::ParseXS... Running install for module ExtUtils::ParseXS Running make for K/KW/KWILLIAMS/ExtUtils-ParseXS-2.15.tar.gz Checksum for C:\WINDOWS\TEMP\cpan\sources\authors\id\K\KW\KWILLIAMS\ExtUtils-Par seXS-2.15.tar.gz ok ExtUtils-ParseXS-2.15/ ExtUtils-ParseXS-2.15/Build.PL ExtUtils-ParseXS-2.15/Changes ExtUtils-ParseXS-2.15/INSTALL ExtUtils-ParseXS-2.15/lib/ ExtUtils-ParseXS-2.15/lib/ExtUtils/ ExtUtils-ParseXS-2.15/lib/ExtUtils/ParseXS.pm ExtUtils-ParseXS-2.15/lib/ExtUtils/xsubpp ExtUtils-ParseXS-2.15/Makefile.PL ExtUtils-ParseXS-2.15/MANIFEST ExtUtils-ParseXS-2.15/META.yml ExtUtils-ParseXS-2.15/README ExtUtils-ParseXS-2.15/t/ ExtUtils-ParseXS-2.15/t/basic.t ExtUtils-ParseXS-2.15/t/XSTest.pm ExtUtils-ParseXS-2.15/t/XSTest.xs gzip: stdout: Broken pipe Removing previously used C:\WINDOWS\TEMP\cpan\build\ExtUtils-ParseXS-2.15 CPAN.pm: Going to build K/KW/KWILLIAMS/ExtUtils-ParseXS-2.15.tar.gz Checking if your kit is complete... Looks good Warning: prerequisite ExtUtils::CBuilder 0 not found. Writing Makefile for ExtUtils::ParseXS ---- Unsatisfied dependencies detected during [K/KW/KWILLIAMS/ExtUtils-ParseXS-2 .15.tar.gz] ----- ExtUtils::CBuilder Running make test Delayed until after prerequisites Running make install Delayed until after prerequisites Use of uninitialized value in string eq at inc/Module/AutoInstall.pm - lib/Modul e/AutoInstall.pm line 659. *** ExtUtils::ParseXS installation failed. *** Module::AutoInstall installation finished. Warning: prerequisite Archive::Tar 0.23 not found. Writing Makefile for Module::Install dmake.EXE: Error: -- No target C:\vanilla-perl\bin\dmake.EXE -- NOT OK Running make test Can't test without successful make Running make install make had returned bad status, install seems impossible *** Module::Install::Admin installation failed. *** Module::AutoInstall installation finished.
Subject: Re: [rt.cpan.org #17657] Module-Install fails to install prereq's
Date: Tue, 21 Feb 2006 19:38:16 +1100
To: bug-Module-Install [...] rt.cpan.org
From: Adam Kennedy <adam [...] phase-n.com>
Download (untitled) / with headers
text/plain 11.2k
I myself have hit a lot of problems with Vanilla Perl and the entire Perl toolchain. In fact, there's been 20-30 rt.cpan bugs submitted for various issues in various places in the last few days. This is a brand new distribution, and doesn't come with the extra patches in ActivePerl. So it might take a few weeks to bed it down and get rid of the anti-Win32'isms in the Perl toolchain. After that, things should do a bit smoother. Adam K Carl Franks via RT wrote: Show quoted text
> Wed Feb 15 07:28:20 2006: Request 17657 was acted upon. > Transaction: Ticket created by CFRANKS > Queue: Module-Install > Subject: Module-Install fails to install prereq's > Owner: Nobody > Requestors: CFRANKS@cpan.org > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=17657 > > > > Note: the actual Module-Install version I'm using is 0.56, but the list > in RT only goes to 0.55 (?) > > I used CPAN.pm to install a module, which had Module-Install somewhere > down the line of prereq's > I didn't already have Module-Install installed. > > The Module-Install installation tried using it's own > inc::Module::Install to install it's prereq's Archive-Tar and > ExtUtils-ParseXS > > Archive-Tar listed IO-Zlib as a prereq (which wasn't installed) > When it tried to install it, inc::Module::Install died with this output: > > IO::Zlib > Running make test > Delayed until after prerequisites > Running make install > Delayed until after prerequisites > Use of uninitialized value in string eq at inc/Module/AutoInstall.pm - > lib/Module/AutoInstall.pm line 659. > *** Archive::Tar installation failed. > > The same thing happened when it tried to install ExtUtils-ParseXS's > prereq ExtUtils-CBuilder > > So, when it tried installing Module-Install again, I selected the [n] > option so it wouldn't bother trying to install these modules. > When all was done, I quit CPAN.pm, fired it up again, and installed > Archive-Tar and ExtUtils-ParseXS with no problems. > > I'm assuming the error is related to the "uninitialized value in string > eq" warnings seen in the output, but I don't know Module-Install's > codebase at all, and haven't verified this. > > I'm using > perl 5.8.8 / gcc 3.4.5 / Windows XP SP2 > > The relevant output from the CPAN.pm session is pasted below. > > Module-Install-0.56/ > Module-Install-0.56/lib/ > Module-Install-0.56/lib/Module/ > Module-Install-0.56/lib/Module/Install/ > Module-Install-0.56/lib/Module/Install/Admin/ > Module-Install-0.56/lib/Module/Install/Admin/Bundle.pm > Module-Install-0.56/lib/Module/Install/Admin/ScanDeps.pm > Module-Install-0.56/lib/Module/Install/Admin/Find.pm > Module-Install-0.56/lib/Module/Install/Admin/WriteAll.pm > Module-Install-0.56/lib/Module/Install/Admin/Include.pm > Module-Install-0.56/lib/Module/Install/Admin/Makefile.pm > Module-Install-0.56/lib/Module/Install/Admin/Manifest.pm > Module-Install-0.56/lib/Module/Install/Admin/Metadata.pm > Module-Install-0.56/lib/Module/Install/Makefile/ > Module-Install-0.56/lib/Module/Install/Makefile/Version.pm > Module-Install-0.56/lib/Module/Install/Makefile/Name.pm > Module-Install-0.56/lib/Module/Install/Build.pm > Module-Install-0.56/lib/Module/Install/AutoInstall.pm > Module-Install-0.56/lib/Module/Install/Run.pm > Module-Install-0.56/lib/Module/Install/Can.pm > Module-Install-0.56/lib/Module/Install/Admin.pm > Module-Install-0.56/lib/Module/Install/PAR.pm > Module-Install-0.56/lib/Module/Install/Fetch.pm > Module-Install-0.56/lib/Module/Install/Metadata.pm > Module-Install-0.56/lib/Module/Install/Makefile.pm > Module-Install-0.56/lib/Module/Install/Bundle.pm > Module-Install-0.56/lib/Module/Install/Compiler.pm > Module-Install-0.56/lib/Module/Install/WriteAll.pm > Module-Install-0.56/lib/Module/Install/Include.pm > Module-Install-0.56/lib/Module/Install/Scripts.pm > Module-Install-0.56/lib/Module/Install/External.pm > Module-Install-0.56/lib/Module/Install/Win32.pm > Module-Install-0.56/lib/Module/Install/Share.pm > Module-Install-0.56/lib/Module/Install/Base.pm > Module-Install-0.56/lib/Module/Install/MakeMaker.pm > Module-Install-0.56/lib/Module/Install/Inline.pm > Module-Install-0.56/lib/Module/Install.pm > Module-Install-0.56/lib/Module/AutoInstall.pm > Module-Install-0.56/lib/Module/Install-Philosophy.pod > Module-Install-0.56/lib/Module/Install.pod > Module-Install-0.56/lib/inc/ > Module-Install-0.56/lib/inc/Module/ > Module-Install-0.56/lib/inc/Module/Install.pm > Module-Install-0.56/inc/ > Module-Install-0.56/inc/Module/ > Module-Install-0.56/inc/Module/Install.pm > Module-Install-0.56/inc/Module/Install/ > Module-Install-0.56/inc/Module/Install/AutoInstall.pm > Module-Install-0.56/inc/Module/Install/Makefile.pm > Module-Install-0.56/inc/Module/Install/Include.pm > Module-Install-0.56/inc/Module/Install/Metadata.pm > Module-Install-0.56/inc/Module/Install/WriteAll.pm > Module-Install-0.56/inc/Module/Install/Win32.pm > Module-Install-0.56/inc/Module/Install/Fetch.pm > Module-Install-0.56/inc/Module/Install/Base.pm > Module-Install-0.56/inc/Module/Install/Can.pm > Module-Install-0.56/inc/Module/AutoInstall.pm > Module-Install-0.56/Changes > Module-Install-0.56/MANIFEST > Module-Install-0.56/META.yml > Module-Install-0.56/t/ > Module-Install-0.56/t/1-basic.t > Module-Install-0.56/t/3-autoinstall.t > Module-Install-0.56/t/2-pod.t > Module-Install-0.56/MANIFEST.SKIP > Module-Install-0.56/README > Module-Install-0.56/Makefile.PL > Removing previously used C:\WINDOWS\TEMP\cpan\build\Module-Install-0.56 > > CPAN.pm: Going to build A/AD/ADAMK/Module-Install-0.56.tar.gz > > *** Module::AutoInstall version 1.01 > *** Checking for dependencies... > [Include packages with full dependencies] > - Test::Harness ...loaded. (2.56 >= 2.03) > - Test::More ...loaded. (0.62) > - Module::ScanDeps ...loaded. (0.54 >= 0.28) > - Module::CoreList ...loaded. (2.04) > [Bundle other CPAN packages] > - CPANPLUS ...missing. (would need 0.04) > ==> Auto-install the 1 optional module(s) from CPAN? [y] n > [PAR-based binary distributions] > - PAR::Dist ...missing. (would need 0.03) > ==> Auto-install the 1 optional module(s) from CPAN? [y] n > [Module::Build support] > - Archive::Tar ...missing. (would need 0.23) > - ExtUtils::Install ...loaded. (1.33 >= 0.3) > - ExtUtils::ParseXS ...missing. > - Module::Build ...loaded. (0.2611) > ==> Auto-install the 2 optional module(s) from CPAN? [y] > Use of uninitialized value in transliteration (tr///) at > C:/vanilla-perl/perl/li > b/File/Spec/Win32.pm line 103. > Use of uninitialized value in pattern match (m//) at > C:/vanilla-perl/perl/lib/Fi > le/Spec/Win32.pm line 105. > > *** Since we're running under CPAN, I'll just let it take care > of the dependency's installation later. > *** Module::AutoInstall configuration finished. > *** Installing dependencies... > *** Installing Archive::Tar... > CPAN: Storable loaded ok > Going to read C:\WINDOWS\TEMP\cpan\Metadata > Database was generated on Tue, 14 Feb 2006 15:16:53 GMT > Running install for module Archive::Tar > Running make for K/KA/KANE/Archive-Tar-1.28.tar.gz > CPAN: Digest::MD5 loaded ok > CPAN: Compress::Zlib loaded ok > Checksum for > C:\WINDOWS\TEMP\cpan\sources\authors\id\K\KA\KANE\Archive-Tar-1.28. > tar.gz ok > Scanning cache C:\WINDOWS\TEMP\cpan\build for sizes > Archive-Tar-1.28/ > Archive-Tar-1.28/bin/ > Archive-Tar-1.28/bin/ptar > Archive-Tar-1.28/bin/ptardiff > Archive-Tar-1.28/CHANGES > Archive-Tar-1.28/lib/ > Archive-Tar-1.28/lib/Archive/ > Archive-Tar-1.28/lib/Archive/Tar/ > Archive-Tar-1.28/lib/Archive/Tar/Constant.pm > Archive-Tar-1.28/lib/Archive/Tar/File.pm > Archive-Tar-1.28/lib/Archive/Tar.pm > Archive-Tar-1.28/Makefile.PL > Archive-Tar-1.28/MANIFEST > Archive-Tar-1.28/META.yml > Archive-Tar-1.28/README > Archive-Tar-1.28/t/ > Archive-Tar-1.28/t/01_use.t > Archive-Tar-1.28/t/02_methods.t > Archive-Tar-1.28/t/03_file.t > Archive-Tar-1.28/t/04_resolved_issues.t > Archive-Tar-1.28/t/99_pod.t > Archive-Tar-1.28/t/src/ > Archive-Tar-1.28/t/src/long/ > Archive-Tar-1.28/t/src/long/b > Archive-Tar-1.28/t/src/long/bar.tar > Archive-Tar-1.28/t/src/long/foo.tgz > Archive-Tar-1.28/t/src/short/ > Archive-Tar-1.28/t/src/short/b > Archive-Tar-1.28/t/src/short/bar.tar > Archive-Tar-1.28/t/src/short/foo.tgz > > gzip: stdout: Broken pipe > Removing previously used C:\WINDOWS\TEMP\cpan\build\Archive-Tar-1.28 > > CPAN.pm: Going to build K/KA/KANE/Archive-Tar-1.28.tar.gz > > You do not have IO::Zlib installed. This means you can not read or write > compres > sed archive! > Note: you can disable this warning (and the prerequisite) by invoking > Makefile.P > L with '-n' > > Archive::Tar comes with a utility called 'ptardiff' which lets you run > diffs aga > inst tar archives. > > However, this utility requires you to have Text::Diff installed. > > To add Text::Diff as a prerequisite, please supply the '-d' option when > invoking > this Makefile.PL. > > Checking if your kit is complete... > Looks good > Warning: prerequisite IO::Zlib 1.01 not found. > Writing Makefile for Archive::Tar > ---- Unsatisfied dependencies detected during > [K/KA/KANE/Archive-Tar-1.28.tar.gz > ] ----- > IO::Zlib > Running make test > Delayed until after prerequisites > Running make install > Delayed until after prerequisites > Use of uninitialized value in string eq at inc/Module/AutoInstall.pm - > lib/Modul > e/AutoInstall.pm line 659. > *** Archive::Tar installation failed. > *** Installing ExtUtils::ParseXS... > Running install for module ExtUtils::ParseXS > Running make for K/KW/KWILLIAMS/ExtUtils-ParseXS-2.15.tar.gz > Checksum for > C:\WINDOWS\TEMP\cpan\sources\authors\id\K\KW\KWILLIAMS\ExtUtils-Par > seXS-2.15.tar.gz ok > ExtUtils-ParseXS-2.15/ > ExtUtils-ParseXS-2.15/Build.PL > ExtUtils-ParseXS-2.15/Changes > ExtUtils-ParseXS-2.15/INSTALL > ExtUtils-ParseXS-2.15/lib/ > ExtUtils-ParseXS-2.15/lib/ExtUtils/ > ExtUtils-ParseXS-2.15/lib/ExtUtils/ParseXS.pm > ExtUtils-ParseXS-2.15/lib/ExtUtils/xsubpp > ExtUtils-ParseXS-2.15/Makefile.PL > ExtUtils-ParseXS-2.15/MANIFEST > ExtUtils-ParseXS-2.15/META.yml > ExtUtils-ParseXS-2.15/README > ExtUtils-ParseXS-2.15/t/ > ExtUtils-ParseXS-2.15/t/basic.t > ExtUtils-ParseXS-2.15/t/XSTest.pm > ExtUtils-ParseXS-2.15/t/XSTest.xs > > gzip: stdout: Broken pipe > Removing previously used C:\WINDOWS\TEMP\cpan\build\ExtUtils-ParseXS-2.15 > > CPAN.pm: Going to build K/KW/KWILLIAMS/ExtUtils-ParseXS-2.15.tar.gz > > Checking if your kit is complete... > Looks good > Warning: prerequisite ExtUtils::CBuilder 0 not found. > Writing Makefile for ExtUtils::ParseXS > ---- Unsatisfied dependencies detected during > [K/KW/KWILLIAMS/ExtUtils-ParseXS-2 > .15.tar.gz] ----- > ExtUtils::CBuilder > Running make test > Delayed until after prerequisites > Running make install > Delayed until after prerequisites > Use of uninitialized value in string eq at inc/Module/AutoInstall.pm - > lib/Modul > e/AutoInstall.pm line 659. > *** ExtUtils::ParseXS installation failed. > *** Module::AutoInstall installation finished. > Warning: prerequisite Archive::Tar 0.23 not found. > Writing Makefile for Module::Install > dmake.EXE: Error: -- No target > C:\vanilla-perl\bin\dmake.EXE -- NOT OK > Running make test > Can't test without successful make > Running make install > make had returned bad status, install seems impossible > *** Module::Install::Admin installation failed. > *** Module::AutoInstall installation finished. >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.